## gthumb 3.8.0

=== meson_options.txt ===
option('run-in-place', 
  type : 'boolean', 
  value : false, 
  description : 'Load extensions and other resources from the source tree'
)

option('exiv2', 
  type : 'boolean', 
  value : true, 
  description : 'Use exiv2 to read and write metadata'
)

option('clutter', 
  type : 'boolean', 
  value : true, 
  description : 'Use clutter to make animated slideshows'
)

option('gstreamer', 
  type : 'boolean', 
  value : true, 
  description : 'Use gstreamer to play multimedia files and to view the metadata'
)

option('libchamplain', 
  type : 'boolean', 
  value : false, 
  description : 'Use libchamplain to show the position the image refers to'
)

option('lcms2', 
  type : 'boolean', 
  value : true, 
  description : 'Use lcms2 to get color management support'
)

option('colord', 
  type : 'boolean', 
  value : true, 
  description : 'Use colord to read the monitor color profile'
)

option('libtiff', 
  type : 'boolean', 
  value : true, 
  description : 'Use libtiff to load Tiff images'
)

option('libwebp', 
  type : 'boolean', 
  value : true, 
  description : 'Use libwebp to load WebP images'
)

option('libraw', 
  type : 'boolean', 
  value : true, 
  description : 'Use libraw to load RAW images'
)

option('librsvg', 
  type : 'boolean', 
  value : true, 
  description : 'Use librsvg to load SVG images'
)

option('libsecret', 
  type : 'boolean', 
  value : true, 
  description : 'Use libsecret to save web service account data'
)

option('webservices', 
  type : 'boolean', 
  value : true, 
  description : 'Compile extensions that import/export images from web services'
)

option('libbrasero', 
  type : 'boolean', 
  value : true, 
  description : 'Use libbrasero to save images and metadata to discs'
)

=== debian/changelog ===
gthumb (3:3.8.0-2.1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2019-20326-*.patch: Do not scan
      more than CAIRO_MAX_IMAGE_SIZE lines. (LP: #1976189)
    - CVE-2019-20326
  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2020-36427-*.patch: Fixed crash in
      case of some malformed jpegs. (LP: #1976189)
    - CVE-2020-36427

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Sun, 29 May 2022 12:31:15 -0400

gthumb (3:3.8.0-2.1build1) focal; urgency=medium

  * No-change rebuild for exiv2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Feb 2020 20:21:04 +0100

gthumb (3:3.8.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.
  * debian/control: Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Jan 2020 13:33:46 -0500

gthumb (3:3.8.0-2) unstable; urgency=medium

  * Upload to unstable
  * Use 'debhelper-compat' in d/control rather than d/compat file
  * Add gthumb.lintian-overrides file as blhc returns nothing
  * debian/control:
      -  Bump Standards-Version from 4.3.0 to 4.4.0

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Tue, 23 Jul 2019 13:36:16 -0300

gthumb (3:3.8.0-1) experimental; urgency=medium

  * New upstream version 3.8.0
  * DH_DEVEL: 12
  * debian/control:
      - Add meson to Build-Depends
  * debian/copyright:
      - A lot -f *.po files update
      - Some changes based on 'debmake- k'
      - One new entry
  * debian/not-installed:
      - Create file to silence dh_missing when
        'dpkg-buildpackage -A'
  * debian/patches/series:
      - One patch only. help/C dir
  * debian/rules:
      - Remove overrides and compile flags:
          - DEB_CXXFLAGS_MAINT_APPEND
          - DEB_LDFLAGS_MAINT_APPEND
          blhc returns nothing

          - override_dh_auto_configure
            meson.build file takes care of it
          - override_dh_auto_build
            For one extension - 23hq. Upstream should
            know what he is doing.
          - override_dh_strip
            It was for static libs
  * debian/gthumb-dev.install:
      - No static libs
  * debian/gthumb.install:
      - Glob to /path/to/xml

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Tue, 04 Jun 2019 09:41:59 -0300

=== debian/control ===
Source: gthumb
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
Build-Depends: bison,
               debhelper-compat (= 12),
               flex,
               gnome-common,
               gsettings-desktop-schemas-dev,
               libbrasero-media3-dev,
               libclutter-gtk-1.0-dev,
               libdbus-glib-1-dev,
               libexiv2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libraw-dev,
               librsvg2-dev,
               libsecret-1-dev,
               libsoup-gnome2.4-dev,
               libtiff-dev,
               libwebkit2gtk-4.0-dev,
               libwebp-dev,
               meson,
               yelp-tools
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/gthumb.git
Vcs-Browser: https://salsa.debian.org/debian/gthumb
Homepage: https://wiki.gnome.org/Apps/Gthumb

Package: gthumb
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gsettings-desktop-schemas,
         gthumb-data (= ${source:Version}),
         libgl1-mesa-dri,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libgphoto2-6, libgphoto2-port12
Conflicts: gthumb2
Provides: gthumb2
Breaks: gthumb-data (<< 3:3.4.4.1-4~)
Replaces: gthumb-data (<< 3:3.4.4.1-4~)
Description: image viewer and browser
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.

Package: gthumb-data
Architecture: all
Breaks: gthumb (<< 3:2.10.8-1)
Replaces: gthumb (<< 3:2.10.8-1)
Recommends: yelp
Depends: ${misc:Depends}
Description: image viewer and browser - arch-independent files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the architecture-independent files needed by gthumb.

Package: gthumb-dev
Architecture: any
Multi-Arch: no
Section: devel
Depends: gthumb (= ${binary:Version}), ${misc:Depends}
Description: image viewer and browser - development files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the files needed to develop third-party extensions.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH).

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh $@ --with autoreconf

## gthumb 3.8.2

=== debian/changelog ===
gthumb (3:3.8.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Dec 2019 17:17:08 -0800

gthumb (3:3.8.0-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Dec 2019 17:01:22 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gthumb
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
@@ -24,7 +24,7 @@
                libwebp-dev,
                meson,
                yelp-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/gthumb.git
 Vcs-Browser: https://salsa.debian.org/debian/gthumb
 Homepage: https://wiki.gnome.org/Apps/Gthumb
@@ -36,8 +36,8 @@
          gthumb-data (= ${source:Version}),
          libgl1-mesa-dri,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libgphoto2-6, libgphoto2-port12
+         ${shlibs:Depends},
+         libgphoto2-6, libgphoto2-port12
 Conflicts: gthumb2
 Provides: gthumb2
 Breaks: gthumb-data (<< 3:3.4.4.1-4~)

## gthumb 3.8.3

=== debian/changelog ===
gthumb (3:3.8.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Includes the fix for CVE-2019-20326. (Closes: #948197)

 -- Adrian Bunk <bunk@debian.org>  Mon, 26 Oct 2020 16:46:05 +0200

## gthumb 3.9.1

=== debian/changelog ===
gthumb (3:3.9.1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 15 Mar 2020 15:56:21 -0700

gthumb (3:3.9.1-2dhor~bionic) bionic; urgency=medium

  * Added ability to customize the keyboard shortcuts.
  * Added a shortcuts window to show the available shortcuts.
  * Added option to change the mouse wheel action.
  * Image viewer: added ability to define the transparency style.
  * Video viewer: allow to view the video at the original size; show the zoom
    factor in the statusbar.
  * Edit comment/tags dialogs: use the header bar; allow to change the current
    image from the dialog.
  * Add to catalog: use the header bar; allow to change the current image from
    the dialog.
  * Search: added ability to search in multiple folders.
  * Scripts: added %T to insert a timestamp in the command.
  * Folder tree:
    * better drag&drop support: allow to move a catalog into a library, and a
      library into another library, show an error if the drop operation is not
      possible;
    * added an 'Open in Terminal' command in the context menu.
  * Overwrite dialog: show video previews as well, fixed dialog size.
  * Preferences: allow to specify a catalog or any other location as startup
    location.
  * Trash/Delete files: show progress for long operations.
  * File properties: added the file size in bytes.
  * File properties: added a context menu command to customize the visibile
    properties.
  * Toolbar: show edit comment/tags in browser mode as well.
  * Export tools: removed from the toolbar.  Some tools moved to the tools
    menu, others as a submenu in the gears menu.
  * Fixed window size when started the first time.
  * Updated app icon to follow the new GNOME style.
  * Rewritten README in markdown, updated screenshots.
  * Appdata: added release and OARS tags for flathub compatibility.
    (Tobias Mueller)
  * version: commit  004b31741a920e4e9ca6af24c7358a635fbe5080 do not use
    g_ptr_array_copy to avoid a dependency on glib 2.62

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 10 Mar 2020 06:22:09 +0100

gthumb (3:3.8.3-1dhor~bionic) bionic; urgency=medium

  * App icons: name the app icons with the application id (!77)
  * Jpeg loader: crash when the original size is too big for a cairo 
    surface.
  * Fixed run-time errors if exiv2 is not used.
  * Fixed window size the first time gThumb is executed.

 -- Dariusz Duma <dhor@toxic.net.pl>  Fri, 27 Dec 2019 19:03:27 +0100

gthumb (3:3.8.2-1dhor~bionic) bionic; urgency=medium

  * Use menus instead of popovers for menu buttons on the header bar,
    to show icons and accelerators.
  * Header bar: align menus to the right for menu buttons on the
    right side.
  * Tools menu: show the accelerators.
  * Search: show the matching files during the search operation.
  * Rename dialog: activate on enter. (Ivan Ershov)
  * Fixed filesize test for big files.
  * Overwrite dialog: do not show an error after cancelling the
    operation.
  * Fixed crash when moving files to the trash.
  * Install missing UI files. (Dan Horák)
  * Added image/webp support in .desktop file. (Baltix Mantas) (!55)
  * Fix callback signature for value-changed signal when setting zoom
    (Dan Horák) (!54)
  * Help: corrected wiki link. (Wylel) (!2)
  * Catalan (Jordi Mas)
  * Italiano (Gianvito Cavasoli)
  * Spanish - Spain (Daniel Mustieles)

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 20 Nov 2019 10:26:14 +0100

gthumb (3:3.8.1-1dhor~bionic) bionic; urgency=medium

  * Bugs fixed: Selections: fixed possible crash after reordering the files.
  * New or updated application translations:
  *  Basque (Alexander Gabilondo)
  *  catalan (Jordi Mas)
  *  Croatian (gogo)
  *  Dutch (Paul Matthijsse)
  *  Turkish (Sabri Ãœnal)

 -- Dariusz Duma <dhor@toxic.net.pl>  Wed, 02 Oct 2019 18:47:10 +0200

gthumb (3:3.8.0-1dhor~bionic) bionic; urgency=medium

  * Upload to unstable
  * Use 'debhelper-compat' in d/control rather than d/compat file
  * Add gthumb.lintian-overrides file as blhc returns nothing
  * debian/control:
      -  Bump Standards-Version from 4.3.0 to 4.4.0

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 23 Jul 2019 13:36:16 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
+XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 11),
                flex,
                gnome-common,
                gsettings-desktop-schemas-dev,
@@ -13,6 +13,10 @@
                libdbus-glib-1-dev,
                libexiv2-dev,
                libgstreamer-plugins-base1.0-dev,
+	           libchamplain-gtk-0.12-dev,
+	           libchamplain-0.12-dev,
+	           libcolord-gtk-dev,
+	           libcolord-dev,
                libgstreamer1.0-dev,
                libgtk-3-dev,
                libraw-dev,
@@ -37,6 +41,7 @@
          libgl1-mesa-dri,
          ${misc:Depends},
          ${shlibs:Depends},
+# Recommends:
          libgphoto2-6, libgphoto2-port12
 Conflicts: gthumb2
 Provides: gthumb2
@@ -55,8 +60,8 @@
 Architecture: all
 Breaks: gthumb (<< 3:2.10.8-1)
 Replaces: gthumb (<< 3:2.10.8-1)
-Recommends: yelp
-Depends: ${misc:Depends}
+# Recommends: yelp
+Depends: ${misc:Depends}, yelp
 Description: image viewer and browser - arch-independent files
  gThumb is an advanced image viewer and browser. It has many useful
  features, such as filesystem browsing, slide show, image catalogs, web

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,8 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 %:
 	dh $@ --with autoreconf

## gthumb 3.11.2

=== meson_options.txt ===
option('warn-deprecated',
  type : 'boolean',
  value : true,
  description : 'Enable deprecated declaration warnings in debug mode'
)

option('run-in-place',
  type : 'boolean',
  value : false,
  description : 'Load extensions and other resources from the source tree'
)

option('exiv2',
  type : 'boolean',
  value : true,
  description : 'Use exiv2 to read and write metadata'
)

option('clutter',
  type : 'boolean',
  value : true,
  description : 'Use clutter to make animated slideshows'
)

option('gstreamer',
  type : 'boolean',
  value : true,
  description : 'Use gstreamer to play multimedia files and to view the metadata'
)

option('libchamplain',
  type : 'boolean',
  value : false,
  description : 'Use libchamplain to show the position the image refers to'
)

option('lcms2',
  type : 'boolean',
  value : true,
  description : 'Use lcms2 to get color management support'
)

option('colord',
  type : 'boolean',
  value : true,
  description : 'Use colord to read the monitor color profile'
)

option('libtiff',
  type : 'boolean',
  value : true,
  description : 'Use libtiff to load Tiff images'
)

option('libwebp',
  type : 'boolean',
  value : true,
  description : 'Use libwebp to load WebP images'
)

option('libraw',
  type : 'boolean',
  value : true,
  description : 'Use libraw to load RAW images'
)

option('librsvg',
  type : 'boolean',
  value : true,
  description : 'Use librsvg to load SVG images'
)

option('libsecret',
  type : 'boolean',
  value : true,
  description : 'Use libsecret to save web service account data'
)

option('webservices',
  type : 'boolean',
  value : true,
  description : 'Compile extensions that import/export images from web services'
)

option('libbrasero',
  type : 'boolean',
  value : true,
  description : 'Use libbrasero to save images and metadata to discs'
)

=== debian/changelog ===
gthumb (3:3.11.2-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 12 Jan 2021 19:14:46 -0800

gthumb (3:3.11.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/patches/backport/: Dropped, merged upstream.
  * debian/source/options: Dropped, not needed.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Jan 2021 17:05:12 -0500

gthumb (3:3.11.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #953583)
  * Drop unnecessary build-dependency on dbus-glib. (Closes: #955847)
  * debian/patches/backport/:
    + 0001: Add patch for upstream issue 147. (Fixed jump to bottom
            when selecting thumbnails with mouse)
    + 0002: Add patch for upstream issue 137. (exiv2: remove the
            charset= prefix from strings). (Closes: #974608)

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Jan 2021 21:08:56 -0500

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,16 @@
 Section: gnome
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
+XSBC-Original-Maintainer: Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
 Build-Depends: bison,
-               debhelper-compat (= 11),
+               debhelper-compat (= 12),
                flex,
                gnome-common,
                gsettings-desktop-schemas-dev,
                libbrasero-media3-dev,
                libclutter-gtk-1.0-dev,
-               libdbus-glib-1-dev,
                libexiv2-dev,
                libgstreamer-plugins-base1.0-dev,
-	           libchamplain-gtk-0.12-dev,
-	           libchamplain-0.12-dev,
-	           libcolord-gtk-dev,
-	           libcolord-dev,
                libgstreamer1.0-dev,
                libgtk-3-dev,
                libraw-dev,
@@ -28,7 +23,7 @@
                libwebp-dev,
                meson,
                yelp-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/gthumb.git
 Vcs-Browser: https://salsa.debian.org/debian/gthumb
 Homepage: https://wiki.gnome.org/Apps/Gthumb
@@ -41,7 +36,6 @@
          libgl1-mesa-dri,
          ${misc:Depends},
          ${shlibs:Depends},
-# Recommends:
          libgphoto2-6, libgphoto2-port12
 Conflicts: gthumb2
 Provides: gthumb2
@@ -59,8 +53,7 @@
 Package: gthumb-data
 Architecture: all
 Breaks: gthumb (<< 3:2.10.8-1)
-Replaces: gthumb (<< 3:2.10.8-1)
-# Recommends: yelp
+Replaces: gthumb (<< 3:2.10.8-1) 
 Depends: ${misc:Depends}, yelp
 Description: image viewer and browser - arch-independent files
  gThumb is an advanced image viewer and browser. It has many useful

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## gthumb 3.11.3

=== debian/changelog ===
gthumb (3:3.11.3-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Add gstreamer1.0-gtk3 to Depends to enable video playback.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 08 Jul 2021 13:22:40 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
+XSBC-Original-Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                flex,
@@ -32,6 +32,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gsettings-desktop-schemas,
+         gstreamer1.0-gtk3,
          gthumb-data (= ${source:Version}),
          libgl1-mesa-dri,
          ${misc:Depends},
@@ -53,8 +54,9 @@
 Package: gthumb-data
 Architecture: all
 Breaks: gthumb (<< 3:2.10.8-1)
-Replaces: gthumb (<< 3:2.10.8-1) 
-Depends: ${misc:Depends}, yelp
+Replaces: gthumb (<< 3:2.10.8-1)
+Recommends: yelp
+Depends: ${misc:Depends}
 Description: image viewer and browser - arch-independent files
  gThumb is an advanced image viewer and browser. It has many useful
  features, such as filesystem browsing, slide show, image catalogs, web

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## gthumb 3.12.0

=== debian/changelog ===
gthumb (3:3.12.0-2) unstable; urgency=medium

  * QA upload.
  * Cherry-pick patch to fix build with latest meson
  * Use debian/gthumb.docs to install NEWS

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 07 Feb 2022 10:39:44 -0500

gthumb (3:3.12.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Sep 2021 21:10:16 -0400

gthumb (3:3.11.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Add new build-dependency libheif-dev (>= 1.11~).

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Sep 2021 21:04:43 -0400

gthumb (3:3.11.3-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * New upstream release.
  * debian/: Apply wrap-and-sort -abst.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 12:19:11 -0400

=== debian/control ===
Source: gthumb
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 bison,
 debhelper-compat (= 13),
 flex,
 gnome-common,
 gsettings-desktop-schemas-dev,
 libbrasero-media3-dev,
 libclutter-gtk-1.0-dev,
 libexiv2-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libheif-dev (>= 1.11~),
 libraw-dev,
 librsvg2-dev,
 libsecret-1-dev,
 libsoup-gnome2.4-dev,
 libtiff-dev,
 libwebkit2gtk-4.0-dev,
 libwebp-dev,
 meson,
 yelp-tools,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/gthumb.git
Vcs-Browser: https://salsa.debian.org/debian/gthumb
Homepage: https://wiki.gnome.org/Apps/Gthumb

Package: gthumb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gsettings-desktop-schemas,
 gthumb-data (= ${source:Version}),
 libgl1-mesa-dri,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libgphoto2-6,
 libgphoto2-port12,
Conflicts:
 gthumb2,
Provides:
 gthumb2,
Breaks:
 gthumb-data (<< 3:3.4.4.1-4~),
Replaces:
 gthumb-data (<< 3:3.4.4.1-4~),
Description: image viewer and browser
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.

Package: gthumb-data
Architecture: all
Breaks:
 gthumb (<< 3:2.10.8-1),
Replaces:
 gthumb (<< 3:2.10.8-1),
Recommends:
 yelp,
Depends:
 ${misc:Depends},
Description: image viewer and browser - arch-independent files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the architecture-independent files needed by gthumb.

Package: gthumb-dev
Architecture: any
Multi-Arch: no
Section: devel
Depends:
 gthumb (= ${binary:Version}),
 ${misc:Depends},
Description: image viewer and browser - development files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the files needed to develop third-party extensions.

## gthumb 3.12.2

=== meson_options.txt ===
--- 
+++ 
@@ -58,6 +58,18 @@
   description : 'Use libwebp to load WebP images'
 )
 
+option('libjxl',
+  type : 'boolean',
+  value : true,
+  description : 'Use libjxl to load JPEG XL images'
+)
+
+option('libheif',
+  type : 'boolean',
+  value : true,
+  description : 'Use libheif to load HEIF and AVIF images'
+)
+
 option('libraw',
   type : 'boolean',
   value : true,

=== debian/changelog ===
gthumb (3:3.12.2-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/gthumb.install:  just install the appdata file from debian/appdata,
    since building and installing it from the source requires appdata
    (>= 0.14.3). which is not practicable to backport.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Dec 2022 15:16:40 -0800

gthumb (3:3.12.2-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 25 Sep 2022 11:12:01 -0400

gthumb (3:3.12.2-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Add missing build-deps to enable features:
    + libchamplain (also explicitly enable in d/rules)
    + colord

 -- Boyuan Yang <byang@debian.org>  Sat, 24 Sep 2022 20:48:27 -0400

gthumb (3:3.12.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Sep 2022 14:29:46 -0400

gthumb (3:3.12.2-2) unstable; urgency=medium

  * QA upload.
  * d/p/b/77b0e6186579fccfca8a516b1399564228e01793.patch: Backport
    upstream fix for broken file renaming template feature.
    (Closes: #1019960)

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Sep 2022 14:13:50 -0400

gthumb (3:3.12.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * debian/patches/debian/patches/0002-appstream-0.14.4-compat.patch:
    Make source code compatible with appstream 0.14.4 in bullseye.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Apr 2022 21:22:08 -0400

gthumb (3:3.12.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Apr 2022 14:34:25 -0400

gthumb (3:3.12.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches: Drop obsolete patch.
  * debian/control: Add new build-dep appstream.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Apr 2022 21:04:41 -0400

=== debian/control ===
Source: gthumb
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: appstream,
               bison,
               debhelper-compat (= 13),
               flex,
               gnome-common,
               gsettings-desktop-schemas-dev,
               libappstream-dev,
               libbrasero-media3-dev,
               libchamplain-0.12-dev,
               libchamplain-gtk-0.12-dev,
               libclutter-gtk-1.0-dev,
               libcolord-dev,
               libexiv2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libheif-dev (>= 1.11~),
               libraw-dev,
               librsvg2-dev,
               libsecret-1-dev,
               libsoup-gnome2.4-dev,
               libtiff-dev,
               libwebkit2gtk-4.0-dev,
               libwebp-dev,
               meson,
               yelp-tools
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/gthumb.git
Vcs-Browser: https://salsa.debian.org/debian/gthumb
Homepage: https://wiki.gnome.org/Apps/Gthumb

Package: gthumb
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gsettings-desktop-schemas,
         gthumb-data (= ${source:Version}),
         libgl1-mesa-dri,
         ${misc:Depends},
         ${shlibs:Depends},
         libgphoto2-6,
         libgphoto2-port12
# Recommends: libgphoto2-6, libgphoto2-port12
Conflicts: gthumb2
Provides: gthumb2
Breaks: gthumb-data (<< 3:3.4.4.1-4~)
Replaces: gthumb-data (<< 3:3.4.4.1-4~)
Description: image viewer and browser
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.

Package: gthumb-data
Architecture: all
Breaks: gthumb (<< 3:2.10.8-1)
Replaces: gthumb (<< 3:2.10.8-1)
Recommends: yelp
Depends: ${misc:Depends}
Description: image viewer and browser - arch-independent files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the architecture-independent files needed by gthumb.

Package: gthumb-dev
Architecture: any
Multi-Arch: no
Section: devel
Depends: gthumb (= ${binary:Version}), ${misc:Depends}
Description: image viewer and browser - development files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the files needed to develop third-party extensions.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlibchamplain=true \
		$(NULL)

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## gthumb 3.12.4

=== debian/changelog ===
gthumb (3:3.12.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 3.12.4.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Oct 2023 19:36:02 -0400

gthumb (3:3.12.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 3.12.3. (Closes: #1051568)
  * debian/patches/: Drop old and backported patches, merged upstream.
  * debian/control: Add new build-dep libx11-dev.
  * debian/control: Enable jpeg-xl support. (Closes: #1023648)
  * debian/control: Drop build-dependency on clutter-related libraries.
    (Closes: #1018126)
  * debian/control: No longer hardcode recommendation of libgphoto2-6
    and libgphoto2-port12. They are not used anymore. (Closes: #1029828)

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Sep 2023 15:38:43 -0400

gthumb (3:3.12.2-5) unstable; urgency=medium

  * QA upload
  * Disable maps feature since it uses libchamplain
    which is switching to libsoup3 but gthumb still uses libsoup2.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Jul 2023 14:37:58 -0400

gthumb (3:3.12.2-4) unstable; urgency=medium

  * QA upload.
  * d/p/b/da0d3f22a5c3a141211d943e7d963d14090011ec.patch: backport upstream
    change to support libraw 0.21. (Closes: #1040258)
  * Drop the MIME/mailcap entries for gthumb: mailcap generates them from the
    desktop file, and thus there is no need to keep them (with less MIMEs than
    the desktop file, and in a buggy way). (Closes: #985599)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Fix field name typo in debian/copyright (X-Comment ⇒ Comment).
  * Update standards version to 4.6.2, no changes needed.
  * Drop old lintian override that does not apply anymore.
  * Add lintian overrides for plugins not using libc symbols (only glib/gtk).
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Jul 2023 21:10:55 +0200

=== debian/control ===
Source: gthumb
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 appstream,
 bison,
 debhelper-compat (= 13),
 flex,
 gnome-common,
 gsettings-desktop-schemas-dev,
 libappstream-dev,
 libbrasero-media3-dev,
 libcolord-dev,
 libexiv2-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libheif-dev (>= 1.11~),
 libjxl-dev,
 libraw-dev,
 librsvg2-dev,
 libsecret-1-dev,
 libsoup-gnome2.4-dev,
 libtiff-dev,
 libwebkit2gtk-4.0-dev,
 libwebp-dev,
 libx11-dev,
 meson,
 yelp-tools,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/gthumb.git
Vcs-Browser: https://salsa.debian.org/debian/gthumb
Homepage: https://wiki.gnome.org/Apps/Gthumb
Rules-Requires-Root: no

Package: gthumb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gsettings-desktop-schemas,
 gthumb-data (= ${source:Version}),
 libgl1-mesa-dri,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 gthumb2,
Provides:
 gthumb2,
Breaks:
 gthumb-data (<< 3:3.4.4.1-4~),
Replaces:
 gthumb-data (<< 3:3.4.4.1-4~),
Description: image viewer and browser
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.

Package: gthumb-data
Architecture: all
Breaks:
 gthumb (<< 3:2.10.8-1),
Replaces:
 gthumb (<< 3:2.10.8-1),
Recommends:
 yelp,
Depends:
 ${misc:Depends},
Description: image viewer and browser - arch-independent files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the architecture-independent files needed by gthumb.

Package: gthumb-dev
Architecture: any
Multi-Arch: no
Section: devel
Depends:
 gthumb (= ${binary:Version}),
 ${misc:Depends},
Description: image viewer and browser - development files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the files needed to develop third-party extensions.

## gthumb 3.12.6

=== meson_options.txt ===
--- 
+++ 
@@ -99,3 +99,9 @@
   value : true,
   description : 'Use libbrasero to save images and metadata to discs'
 )
+
+option('tarball-appdata',
+  type : 'boolean',
+  value : false,
+  description: 'Only merge translations, as tarball appdata already has release notes'
+)

=== debian/changelog ===
gthumb (3:3.12.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Mar 2024 15:59:14 -0400

gthumb (3:3.12.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Feb 2024 13:23:27 -0500

gthumb (3:3.12.4-2) unstable; urgency=medium

  * Disable webservices to drop webkit2gtk 4.0 dependency

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 22:15:50 -0500

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,7 @@
  libraw-dev,
  librsvg2-dev,
  libsecret-1-dev,
- libsoup-gnome2.4-dev,
  libtiff-dev,
- libwebkit2gtk-4.0-dev,
  libwebp-dev,
  libx11-dev,
  meson,

## gthumb 3.12.7

=== meson_options.txt ===
--- 
+++ 
@@ -105,3 +105,9 @@
   value : false,
   description: 'Only merge translations, as tarball appdata already has release notes'
 )
+
+option('flatpak-build',
+  type : 'boolean',
+  value : false,
+  description: 'True when building the flatpak package'
+)

=== debian/changelog ===
gthumb (3:3.12.7-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Don't build against unavailable libjxl-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 17 Feb 2025 20:54:01 -0800

gthumb (3:3.12.7-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Remove obsolete Build-Depends: gnome-common, yelp-tools
  * Remove backported time patch: applied in new release
  * Update debian/upstream/metadata
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:37:36 -0500

gthumb (3:3.12.6-2) unstable; urgency=medium

  * QA upload.
  * d/p/b/b48e34c436eb59877b0fe75ba3bf724c0de4dc36.patch: backport upstream
    change to fix a time_t usage. (Closes: #1080998)
  * Update lintian overrides.
  * Drop autopkgtest: it builds gthumb from sources and run the unit tests of
    the just built sources, never using the already packaged bits.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 19:54:12 +0200

=== debian/control ===
Source: gthumb
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: appstream,
               bison,
               debhelper-compat (= 13),
               flex,
               gsettings-desktop-schemas-dev,
               itstool,
               libappstream-dev,
               libbrasero-media3-dev,
               libcolord-dev,
               libexiv2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libheif-dev (>= 1.11~),
#               libjxl-dev,
               libraw-dev,
               librsvg2-dev,
               libsecret-1-dev,
               libtiff-dev,
               libwebp-dev,
               libx11-dev,
               meson
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/gthumb.git
Vcs-Browser: https://salsa.debian.org/debian/gthumb
Homepage: https://wiki.gnome.org/Apps/Gthumb
Rules-Requires-Root: no

Package: gthumb
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gsettings-desktop-schemas,
         gthumb-data (= ${source:Version}),
         libgl1-mesa-dri,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gthumb2
Provides: gthumb2
Breaks: gthumb-data (<< 3:3.4.4.1-4~)
Replaces: gthumb-data (<< 3:3.4.4.1-4~)
Description: image viewer and browser
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.

Package: gthumb-data
Architecture: all
Breaks: gthumb (<< 3:2.10.8-1)
Replaces: gthumb (<< 3:2.10.8-1)
Recommends: yelp
Depends: ${misc:Depends}
Description: image viewer and browser - arch-independent files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the architecture-independent files needed by gthumb.

Package: gthumb-dev
Architecture: any
Multi-Arch: no
Section: devel
Depends: gthumb (= ${binary:Version}), ${misc:Depends}
Description: image viewer and browser - development files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the files needed to develop third-party extensions.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# https://gitlab.gnome.org/GNOME/gthumb/-/issues/244
override_dh_auto_configure:
	dh_auto_configure -- \
		-Dwebservices=false

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## gthumb 3.12.8

=== debian/changelog ===
gthumb (3:3.12.8-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux
  * Add use-glib-goolean-type.patch

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Sep 2025 19:18:26 -0700

gthumb (3:3.12.8-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Update install file for AppStream metadata updates
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 09:29:06 -0400

## gthumb 3.12.8.1

=== meson_options.txt ===
--- 
+++ 
@@ -8,12 +8,6 @@
   type : 'boolean',
   value : false,
   description : 'Load extensions and other resources from the source tree'
-)
-
-option('exiv2',
-  type : 'boolean',
-  value : true,
-  description : 'Use exiv2 to read and write metadata'
 )
 
 option('clutter',
@@ -82,18 +76,6 @@
   description : 'Use librsvg to load SVG images'
 )
 
-option('libsecret',
-  type : 'boolean',
-  value : true,
-  description : 'Use libsecret to save web service account data'
-)
-
-option('webservices',
-  type : 'boolean',
-  value : true,
-  description : 'Compile extensions that import/export images from web services'
-)
-
 option('libbrasero',
   type : 'boolean',
   value : true,
@@ -103,7 +85,7 @@
 option('tarball-appdata',
   type : 'boolean',
   value : false,
-  description: 'Only merge translations, as tarball appdata already has release notes'
+  description: 'Only merge translations, as tarball metainfo already has release notes'
 )
 
 option('flatpak-build',

=== debian/changelog ===
gthumb (3:3.12.8.1-1) unstable; urgency=medium

  * QA upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Oct 2025 10:28:03 -0400

=== debian/control ===
Source: gthumb
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 appstream,
 bison,
 debhelper-compat (= 13),
 flex,
 gsettings-desktop-schemas-dev,
 itstool,
 libappstream-dev,
 libbrasero-media3-dev,
 libcolord-dev,
 libexiv2-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libheif-dev (>= 1.11~),
 libjxl-dev,
 libraw-dev,
 librsvg2-dev,
 libsecret-1-dev,
 libtiff-dev,
 libwebp-dev,
 libx11-dev,
 meson
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/gthumb.git
Vcs-Browser: https://salsa.debian.org/debian/gthumb
Homepage: https://wiki.gnome.org/Apps/Gthumb

Package: gthumb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gsettings-desktop-schemas,
 gthumb-data (= ${source:Version}),
 libgl1-mesa-dri,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 gthumb2,
Provides:
 gthumb2,
Breaks:
 gthumb-data (<< 3:3.4.4.1-4~),
Replaces:
 gthumb-data (<< 3:3.4.4.1-4~),
Description: image viewer and browser
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.

Package: gthumb-data
Architecture: all
Breaks:
 gthumb (<< 3:2.10.8-1),
Replaces:
 gthumb (<< 3:2.10.8-1),
Recommends:
 yelp,
Depends:
 ${misc:Depends},
Description: image viewer and browser - arch-independent files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the architecture-independent files needed by gthumb.

Package: gthumb-dev
Architecture: any
Multi-Arch: no
Section: devel
Depends:
 gthumb (= ${binary:Version}),
 ${misc:Depends},
Description: image viewer and browser - development files
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.
 .
 This package contains the files needed to develop third-party extensions.

=== debian/watch ===
version=4
https://ftp.gnome.org/pub/gnome/sources/gthumb/(\d+.*)/gthumb-(\d+.*)\.tar\.xz
